﻿@model DataViewModel

@{
    ViewData["Title"] = "Subscribers";
}

<div class="text-center">
    <h1 class="display-4">Message broker</h1>
</div>
<div class="row">
    <h1>Subscribers @Model.SubscriberItems.Count() subscriber(s)</h1>
    <table class="table">
        <thead>
            <tr>
                <th>Connection id</th>
                <th>Address</th>
                <th>Queue</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var subscriber in Model.SubscriberItems)
            {
                <tr>
                    <th>@subscriber.ConnectionId</th>
                    <th>@subscriber.Address</th>
                    <th>@subscriber.QueueId</th>
                </tr>
            }
        </tbody>
    </table>
</div>

<div class="row">
    <h1>Payloads: @Model.ProductPayloads.Count() payload(s)</h1>
    <div class="input-group mb-3">
        <input id="timeValue" type="text" class="form-control" placeholder="Seconds" value="@Model.Interval">
        <div class="input-group-append">
            <button id="changeTime" class="btn btn-outline-secondary" type="button">Change</button>
        </div>
    </div>
    <table class="table">
        <thead>
            <tr>
                <th>Product id</th>
                <th>Queue id</th>
                <th>Category</th>
                <th>Name</th>
                <th>Description</th>
                <th>Packet type</th>
                <th>PersistenceType type</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var payload in Model.ProductPayloads)
            {
                <tr>
                    <th>@payload.Id</th>
                    <th>@payload.QueueId</th>
                    <th>@payload.Category</th>
                    <th>@payload.Name</th>
                    <th>@payload.Description</th>
                    <th>@payload.PacketType</th>
                    <th>@payload.PersistenceType</th>
                </tr>
            }
        </tbody>
    </table>
</div>

@section Scripts
{
    <script src="https://code.jquery.com/jquery-3.5.1.js" integrity="sha256-QWo7LDvxbWT2tbbQ97B53yJnYU3WhH/C8ycbRAkjPDc=" crossorigin="anonymous"></script>
    
    <script>
        $(document).ready(() => {
            $("#changeTime").on("click",
                function() {
                    const seconds = $("#timeValue").val();
                    $.ajax({
                        method: "post",
                        url: "@Url.Action("ChangeTime", "Home")",
                        data: {
                            seconds: seconds
                        },
                        success: function() {
                            alert("Updated");
                        }
                    });
                });
        });
    </script>
}
